import cv2
import numpy as np
import glob

pics=glob.glob("pic\\*")

for i in range(len(pics)):
    # 画像をグレースケールで読み込み
    image = cv2.imread(pics[i], 0)
    # 2次元FFT
    fimage = np.fft.fft2(image)
    fimage = np.log(np.abs(fimage) + 1)
    # 正規化
    fimage = fimage / np.amax(fimage) * 255
    cv2.imwrite("fft\\fft"+str(i)+".jpg", fimage)
